from luna_analytics_manager.templates.mixins.frame_frequency_mixins import FrequencyParams
from luna_analytics_manager.templates.sdk import SDKAnalyticsParams


class BaseParams(SDKAnalyticsParams, FrequencyParams):
    """
    Base class for analytics params

    It contains following params:
        rate - how often run analytics on frames
        event policy - when create events
        probe count - the number of consecutive successful detections of something before track starting
        image policy - how create an image for event observing
        roi - roi for detector
        droi - droi for detector
    """
